=== src/CMakeLists.txt ===
add_subdirectory(style)
