=== debian/changelog ===
hyprland-qt-support (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1110116)

 -- Carl Keinath <carl.keinath@gmail.com>  Wed, 27 Aug 2025 08:31:39 +0200
