=== debian/control ===
Source: hyprland-qt-support
Section: libs
Priority: optional
Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
Uploaders:
 Carl Keinath <carl.keinath@gmail.com>,
 Chow Loong Jin <hyperair@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 libhyprlang-dev (>= 0.6.0),
 qt6-base-dev,
 qt6-declarative-dev,
 qt6-wayland-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/hyprwm/hyprland-qt-support
Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprland-qt-support
Vcs-Git: https://salsa.debian.org/hyprland-team/hyprland-qt-support.git

Package: qml6-module-org-hyprland-style
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Qt6 QML style provider for Hyprland applications
 hyprland-qt-support provides the Hyprland-specific Qt Quick Controls 2 style
 plugin. Applications can use it by setting
 QT_QUICK_CONTROLS_STYLE=org.hyprland.style.
