=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Scmake

override_dh_auto_configure:
	dh_auto_configure -- \
        -DCMAKE_BUILD_TYPE=Release \
        -DINSTALL_QML_PREFIX=lib/$(DEB_HOST_MULTIARCH)/qt6/qml \
